# Module cargo::util_schemas::manifest

source ·
Expand description

`Cargo.toml` / Manifest schema definition

### Style

- Fields duplicated for an alias will have an accessor with the primary field’s name
- Keys that exist for bookkeeping but don’t correspond to the schema have a `_` prefix

## Macros

- str_newtype 🔒

## Structs

- FeatureName
  Verified string newtype
- InheritableLints
- InheritablePackage
  A group of fields that are inheritable by members of the workspace
- InvalidCargoFeatures
- PackageName
  Verified string newtype
- PathValue
- ProfileName
  Verified string newtype
- RegistryName
  Verified string newtype
- RustVersion
- StringOrVec
  A StringOrVec can be parsed from either a TOML string or array, but is always stored as a vector.
- TomlDetailedDependency
- TomlInheritedDependency
- TomlInheritedField
- TomlLintConfig
- TomlManifest
  This type is used to deserialize `Cargo.toml` files.
- TomlOptLevel
- TomlPackage
  Represents the `package`/`project` sections of a `Cargo.toml`.
- TomlPlatform
  Corresponds to a `target` entry, but `TomlTarget` is already used.
- TomlProfile
- TomlProfiles
- TomlTarget
- TomlWorkspace

## Enums

- InheritableDependency
- InheritableField
  An enum that allows for inheriting keys from a workspace in a Cargo.toml.
- ProfilePackageSpec
- StringOrBool
- TomlDebugInfo
- TomlDependency
- TomlLint
- TomlLintLevel
- TomlTrimPaths
- TomlTrimPathsValue
- VecStringOrBool

## Functions

- bool_no_false 🔒
- is_false 🔒

## Type Aliases

- InheritableBtreeMap
- InheritableRustVersion
- InheritableSemverVersion
- InheritableString
- InheritableStringOrBool
- InheritableVecString
- InheritableVecStringOrBool
- TomlBenchTarget
- TomlBinTarget
- TomlExampleTarget
- TomlLibTarget
- TomlLints
- TomlTestTarget
- TomlToolLints